## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate psa-crypto-sys

Name:           rust-psa-crypto-sys
Version:        0.12.0
Release:        %autorelease
Summary:        Wrapper around the PSA Cryptography API

License:        Apache-2.0
URL:            https://crates.io/crates/psa-crypto-sys
Source:         %{crates_source}
Patch0:         psa-crypto-sys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Wrapper around the PSA Cryptography API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       bundled(mbedtls) = 3.0.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+interface-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+interface-devel %{_description}

This package contains library source intended for building other packages which
use the "interface" feature of the "%{crate}" crate.

%files       -n %{name}+interface-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+operations-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+operations-devel %{_description}

This package contains library source intended for building other packages which
use the "operations" feature of the "%{crate}" crate.

%files       -n %{name}+operations-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prefix-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prefix-devel %{_description}

This package contains library source intended for building other packages which
use the "prefix" feature of the "%{crate}" crate.

%files       -n %{name}+prefix-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Peter Robinson <pbrobinson@gmail.com> - 0.12.0-1
- Update to 0.12.0

* Sun Aug 06 2023 Peter Robinson <pbrobinson@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Thu Jul 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-4
- Bump bindgen to fix FTBFS with clang 16, declare vendored mbedtls

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 12 2022 Peter Robinson <pbrobinson@gmail.com> - 0.9.3-1
- Update to 0.9.3

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Peter Robinson <pbrobinson@gmail.com> - 0.9.2-1
- Update to 0.9.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.0-3
- Bump bindgen to 0.59.0

* Sat Aug 07 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 31 21:03:55 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-2
- Bump bindgen to 0.57.0

* Fri Mar 19 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Mon Feb 15 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-2
- Bump bindgen to 0.56.

* Wed Oct 21 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Tue Sep 08 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Tue Aug 25 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.3.0-2
- Upstream fix for tests

* Thu Jul 16 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 0.3.0-1
- Initial package

## END: Generated by rpmautospec
